:root {
  --base-color: #0a101b;
  --vibrant-color: #699c07;
  --left-color: #ececec;
  --right-color: #f9f9f9;
  --ay11-color: #547f06;
}

@font-face {
  src: local("Saira"), url("/assets/fonts/Saira/SairaCondensed-SemiBoldItalic.woff2") format("woff2");
  font-family: "Saira";
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  src: local("Fustat"), url("/assets/fonts/Fustat/Fustat-Medium.woff2") format("woff2");
  font-family: "Fustat";
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

*,
::before,
::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin: 0;
  width: 100dvw;
  height: 100dvh;
  font-family: 'Fustat', Arial, sans-serif;
  font-size: 16px;
  color: var(--base-color);
  background: var(--right-color);
  user-select: none;
  text-align: center;
}

h1 {
  font-family: 'Saira', Arial, serif;
  font-weight: 600;
  font-size: 30px;
  line-height: 1.1;
}

p {
  max-width: 500px;
}

a {
  color: var(--ay11-color);
  transition: all 250ms ease;
}

a:hover {
  opacity: 0.75;
}

svg {
  fill: currentcolor;
}

img {
  max-inline-size: 100%;
  block-size: auto;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50dvw;
  height: 100dvh;
  padding: 50px;
}

.container-left {
  position: relative;
  overflow: hidden;
  animation: fadein 1.5s 0s cubic-bezier(0.25, 1, 0.5, 1) both;
  background-color: var(--left-color);

  img {
    position: absolute;
    inset: 0;
    display: flex;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  picture {
    opacity: 0;
    animation: crossfade 12s infinite ease-in-out;

    &:nth-child(1) {
      animation-delay: 0s;
    }

    &:nth-child(2) {
      animation-delay: 3s;
    }

    &:nth-child(3) {
      animation-delay: 6s;
    }

    &:nth-child(4) {
      animation-delay: 9s;
    }
  }
}

.container-right {
  opacity: 1;
  animation: fadein 1.5s 800ms cubic-bezier(0.25, 1, 0.5, 1) both;
  background: var(--right-color);
}

.logo {
  max-height: 200px;
  width: auto;
}

.text {
  width: 35%;
  height: auto;
  margin-bottom: 40px;
}

.button {
  border-radius: 30px;
  margin: 15px 0;
  padding: 10px 30px;
  line-height: 1.9;
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 20px;
  font-family: 'Saira', Arial, serif;
  color: #fff;
  background: var(--ay11-color);
}

.social {
  margin-top: 40px;
}

.social-link:not(:last-child) {
  margin-right: 16px;
}

.phone-link {
  text-underline-offset: 0.2em;
}

@media (max-width: 1024px) {
  .text {
    width: 45%;
  }
}

@media (max-width: 768px) {
  body {
    flex-direction: column;
    height: auto;
  }

  p {
    margin: 12px 0;
    max-width: unset;
  }

  .container {
    width: 100dvw;
    height: auto;
    padding: 30px;
    justify-content: flex-start;
  }

  .container-left {
    height: 150px;
    padding: 0;
  }

  .logo {
    max-height: 180px;
  }

  .text {
    width: 58%;
    margin-bottom: 20px;
  }

  .button {
    margin: 12px 0;
  }
}

@keyframes fadein {
  from {
    opacity: 0.001;
  }

  to {
    opacity: 1;
  }
}

@keyframes crossfade {
  0% {
    opacity: 0;
  }

  8% {
    opacity: 1;
  }

  25% {
    opacity: 1;
  }

  40% {
    opacity: 0;
  }

  100% {
    opacity: 0;
  }
}